<bugID>1130173<Summary>Preview the current page in multiple window sizes at the same time</Summary><Description>The devtools responsivedesign view is handy, but it would be also handy to have several of them at the same time, set at different sizes, and most importantly, synced together, so that any change in the "master" window would also be made on the "child" windows.

This would make it very useful when, for example, tweaking the CSS with the devtools. If you're working on a responsive site, you'd immediately see the effect of a CSS change across all your design breakpoints, without having to constantly resize the window.

Here's an edited version of a discussion that happened on IRC#developers about this:

14:13 &lt; pbrosset&gt; long shot: if I wanted to have the current page displayed/sync across several viewports at the same time, so I 
                      could work on my responsive design  without having to constently resize, how would I go about doing it? I mean, 
                      is there something at the platform level we could do to make such a thing possible?
14:16 &lt; seth&gt; pbrosset: aren't there tools that will watch the filesystem and automatically refresh the page when you change something?
14:17 &lt; pbrosset&gt; seth: yes there are, but I think it'd be cool to have several synced 'views' of the same page in the same browser so 
                  that if I can tweak it with the devtools and see the changes 
14:18 &lt; dholbert&gt; pbrosset, I don't think that's possible, at least not with a single DOM
14:19 &lt; dholbert&gt; pbrosset, it used to be sort-of possible (that's how we did printing at one time -- we created a second distinct 
                  "presentation" of the same document, for printing)
14:19 &lt; pbrosset&gt; so, copying the DOM over to other windows would be the way to go
14:19 &lt; dholbert&gt; pbrosset, yup, you'd need to do something like that
14:20 &lt; dholbert&gt; pbrosset, there might exist some tools on the web that sort of let you do this, with together.js or something similar
14:21 &lt; dholbert&gt; pbrosset, though... probably only if you edit it via the web tool's UI, not via your local devtools
14:22 &lt; pbrosset&gt; I'm thinking about something that just copies the whole state of the DOM+style over to another window as soon as any 
                  of them change
14:22 &lt; pbrosset&gt; the other windows would probably be non-interactive though, just outputs
14:22 &lt; dholbert&gt; pbrosset, yup, seems handy
14:22 &lt;@smaug&gt; pbrosset: so for print preview (on non-OSX and printing) we clone the document and relevant stuff, and open a new tab 
               and show the result there
14:27 &lt;@smaug&gt; pbrosset: so for pp we create a static clone. So no scripting running, no animated gifs, no css/smil animations
14:28 &lt;@smaug&gt; you probably want something where everything runs normally</Description></bugID>